%define majver %(echo %version | cut -d. -f1-2)
Name:          qt6-qt5compat
Version:       6.9.1
Release:       1mamba
Summary:       Qt6 compat component to Qt5
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.qt.io/
Source:        https://download.qt.io/official_releases/qt/%{majver}/%{version}/submodules/qt5compat-everywhere-src-%{version}.tar.xz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libQt6Core
BuildRequires: libQt6Gui
BuildRequires: libQt6Network
BuildRequires: libQt6OpenGL
BuildRequires: libgcc
BuildRequires: libglvnd-devel
BuildRequires: libicu-devel
BuildRequires: libstdc++6-devel
BuildRequires: libxkbcommon-devel
BuildRequires: qt6-qtbase-devel
BuildRequires: qt6-qtdeclarative-devel
BuildRequires: qt6-qtshadertools-devel
## AUTOBUILDREQ-END
BuildRequires: cmake
BuildRequires: qt6-qtdeclarative-devel = %{version}

%description
Qt6 compat component to Qt5.

%package devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
This package contains libraries and header files for developing applications that use %{name}.


%prep
%setup -q -n qt5compat-everywhere-src-%{version}

%build
%cmake -d build
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"


%files
%defattr(-,root,root)
%{_libdir}/libQt6Core5Compat.so.*
%{_libdir}/qt6/qml/Qt5Compat/GraphicalEffects/*
%{_libdir}/qt6/metatypes/qt6core5compat_release_metatypes.json
%{_libdir}/qt6/modules/Core5Compat.json
%{_qt6_archdatadir}/sbom/qt5compat-%{version}.spdx
%doc LICENSES

%files devel
%defattr(-,root,root)
%dir %{_includedir}/qt6/QtCore5Compat
%{_includedir}/qt6/QtCore5Compat/*
%{_libdir}/libQt6Core5Compat.prl
%{_libdir}/libQt6Core5Compat.so
%{_libdir}/qt6/mkspecs/modules/qt_lib_core5compat*.pri
%{_libdir}/cmake/Qt6/FindWrapIconv.cmake
%{_libdir}/cmake/Qt6BuildInternals/StandaloneTests/Qt5CompatTestsConfig.cmake
%dir %{_libdir}/cmake/Qt6Core5Compat
%{_libdir}/cmake/Qt6Core5Compat/Qt6Core5Compat*.cmake
%{_libdir}/cmake/Qt6Qml/QmlPlugins/Qt6qtgraphicaleffects*.cmake
%dir %{_libdir}/cmake/Qt6Core5CompatPrivate
%{_libdir}/cmake/Qt6Core5CompatPrivate/Qt6Core5CompatPrivate*.cmake
%{_libdir}/pkgconfig/Qt6Core5Compat.pc

%changelog
* Sun Jun 08 2025 Automatic Build System <autodist@openmamba.org> 6.9.1-1mamba
- automatic version update by autodist

* Mon Apr 07 2025 Silvan Calarco <silvan.calarco@mambasoft.it> 6.9.0-1mamba
- update to 6.9.0

* Sat Mar 29 2025 Automatic Build System <autodist@openmamba.org> 6.8.3-1mamba
- automatic version update by autodist

* Wed Feb 05 2025 Automatic Build System <autodist@openmamba.org> 6.8.2-1mamba
- automatic version update by autodist

* Sat Dec 07 2024 Automatic Build System <autodist@openmamba.org> 6.8.1-1mamba
- automatic version update by autodist

* Sat Oct 19 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 6.8.0-1mamba
- update to 6.8.0

* Wed Oct 09 2024 Automatic Build System <autodist@openmamba.org> 6.7.3-1mamba
- automatic version update by autodist

* Fri Jun 21 2024 Automatic Build System <autodist@openmamba.org> 6.7.2-1mamba
- automatic version update by autodist

* Sun Jun 02 2024 Automatic Build System <autodist@openmamba.org> 6.7.1-1mamba
- automatic version update by autodist

* Tue Apr 16 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 6.7.0-1mamba
- update to 6.7.0

* Sat Mar 30 2024 Automatic Build System <autodist@openmamba.org> 6.6.3-1mamba
- automatic version update by autodist

* Fri Feb 16 2024 Automatic Build System <autodist@openmamba.org> 6.6.2-1mamba
- automatic version update by autodist

* Wed Nov 29 2023 Automatic Build System <autodist@mambasoft.it> 6.6.1-1mamba
- automatic version update by autodist

* Tue Oct 17 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 6.6.0-1mamba
- update to 6.6.0

* Sat Sep 30 2023 Automatic Build System <autodist@mambasoft.it> 6.5.3-1mamba
- automatic version update by autodist

* Sat Jul 22 2023 Automatic Build System <autodist@mambasoft.it> 6.5.2-1mamba
- automatic version update by autodist

* Mon May 29 2023 Automatic Build System <autodist@mambasoft.it> 6.5.1-1mamba
- automatic version update by autodist

* Mon Apr 17 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 6.5.0-1mamba
- update to 6.5.0

* Fri Mar 17 2023 Automatic Build System <autodist@mambasoft.it> 6.4.3-1mamba
- automatic version update by autodist

* Sun Jan 08 2023 Automatic Build System <autodist@mambasoft.it> 6.4.2-1mamba
- automatic version update by autodist

* Tue Nov 22 2022 Automatic Build System <autodist@mambasoft.it> 6.4.1-1mamba
- automatic version update by autodist

* Fri Oct 07 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 6.4.0-1mamba
- update to 6.4.0

* Mon Sep 12 2022 Automatic Build System <autodist@mambasoft.it> 6.3.2-1mamba
- automatic version update by autodist

* Sun Jun 19 2022 Automatic Build System <autodist@mambasoft.it> 6.3.1-1mamba
- automatic version update by autodist

* Thu Apr 14 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 6.3.0-1mamba
- update to 6.3.0

* Mon Mar 21 2022 Automatic Build System <autodist@mambasoft.it> 6.2.4-1mamba
- automatic version update by autodist

* Sun Jan 30 2022 Automatic Build System <autodist@mambasoft.it> 6.2.3-1mamba
- automatic version update by autodist

* Thu Dec 30 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 6.2.2-1mamba
- package created using the webbuild interface
